/**
 * Registers a class from which tasks will be loaded.
 * You can optionally specify your gulp instance if you want to register tasks specifically there.
 */
export declare function Gulpclass(gulpInstance?: any): Function;
/**
 * Registers a task with the given name. If name is not specified then object's method name will be used.
 */
export declare function Task(name?: string, dependencies?: string[]): Function;
/**
 * Tasks will be run in sequence when using this annotation.
 */
export declare function SequenceTask(name?: string): Function;
/**
 * Tasks will be run merged when using this annotation.
 */
export declare function MergedTask(name?: string): Function;
