import { TaskMetadata } from "./TaskMetadata";
import { GulpclassMetadata } from "./GulpclassMetadata";
/**
 * Storages and registers all gulp classes and their tasks.
 */
export declare class MetadataStorage {
    private gulpclassMetadatas;
    private taskMetadatas;
    addGulpclassMetadata(metadata: GulpclassMetadata): void;
    addTaskMetadata(metadata: TaskMetadata): void;
    private registerTasks(gulpclassMetadata, taskMetadata);
    private executeTask(gulpclassMetadata, taskMetadata, cb);
}
/**
 * Default metadata storage is used as singleton and can be used to storage all metadatas.
 */
export declare let defaultMetadataStorage: MetadataStorage;
